# cfxdm - dm:to\_type

**dm:to\_type:** It allows to change or set the data type to string or integer (numeric) or float for specified columns.&#x20;

@param '**columns**' (mandatory, comma separated list of column names), @param '**type**' (mandatory, supported options are: str / int / float)

**dm:to\_type:** Syntax

* **columns** (mandatory)**:** Comma separated list of column names
* **type** (mandatory)**:** Supported options are: **str** (string or text) / **int** (integer or numeric) / **float**

In the below example, it sets the columns **vm\_cpu\_count** and **vm\_memory** data type as '**Integer** **(Numeric)**'

{% hint style="info" %}
**dm:recall** tag is used to retrieve the data from '**vm-inventory**' dataset and piped into **dm:to\_type** tag to change the data type.
{% endhint %}

```
tag @dm:recall
```

```
data name = 'vm-inventory' --> dm:to_type columns ='vm_cpu_count,vm_memory' & type = 'int'
```

In the below example, it sets the column **vm\_cpu\_usage\_perc** data type as '**Float**'

```
data name = 'vm-inventory-metric' --> dm:to_type columns ='vm_cpu_usage_perc' & type = 'float'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudfabrix.io/rda/rda-userguide/rda-data-management-cfxdm/cfxdm-dm-to_type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
